package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class ShopListVo implements Serializable {
    /**
     * 供应商用户id
     */
    @ApiModelProperty("供应商用户id")
    private Integer authUserId;

    /**
     * 供应商名称
     */
    @ApiModelProperty("供应商名称")
    private String name;

    /**
     * 供应商类型：1代理商 2品牌方
     */
    @ApiModelProperty("供应商类型")
    private Integer shopType;

    /**
     * 所属品牌
     */
    @ApiModelProperty("所属品牌")
    private String brandName;

    /**
     * 品牌id
     */
    @ApiModelProperty("所属品牌")
    private String brandId;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String linkMan;

    /**
     * 供应商状态：0停用 1启用
     */
    @ApiModelProperty("供应商状态：0停用 1启用")
    private Integer shopStatus;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("下级审核状态,0未完成审核，1已完成审核")
    private Integer lowerAuditStatus;

    @ApiModelProperty("下级待审核数量")
    private Integer waitAuditNum;
}
